%define build_test 0
%{?_with_test: %{expand: %%global build_test 1}}
%{?_without_test: %{expand: %%global build_test 0}}

%define bootstrap 1
%{?_without_bootstrap: %global bootstrap 0}
%{?_with_bootstrap: %global bootstrap 1}

# hardcode build_arch for imagemagick, otherwise it will run in to SIGFAULT
%define build_arch %(echo %{_target_cpu} | sed -e 's/_/-/')

# V E R S I O N   P A R T S

# their "official" version
%define rversion 6.8.9

# their "minor" version
%define minor_rev 9

# some other funny version
# (aw) from the docs: Versions with Q8 in the name are 8 bits-per-pixel
# component (e.g. 8-bit red, 8-bit green, etc.), whereas, Q16 in the
# filename are 16 bits-per-pixel component. A Q16 version permits you
# to read or write 16-bit images without losing precision but requires
# twice as much resources as the Q8 version.
%define qlev Q16

# the full file version
%define dversion %{rversion}-%{minor_rev}

%define major 2
%define cppmajor 5

%define libname %mklibname magick-6 %{qlev} %{major}
%define libcpp %mklibname magick++-6 %{qlev} %{cppmajor}
%define develname %mklibname magick -d

Summary:	An X application for displaying and manipulating images
Name:		imagemagick
Version:	%{rversion}.%{minor_rev}
%define subrel	2
Release:	%mkrel 4
License:	BSD-like
Group:		Graphics/Editors and Converters
URL:		http://www.imagemagick.org/
Source0:	http://www.imagemagick.org/download/ImageMagick-%{dversion}.tar.xz
Source1:	ImageMagick.pdf.bz2
# re-scaled from ftp://ftp.imagemagick.org/pub/ImageMagick/images/magick-icon.png
Source10:	magick-icon_16x16.png
Source11:	magick-icon_32x32.png
Source12:	magick-icon_48x48.png
Source13:	magick-icon_64x64.png
Patch0:		imagemagick-docdir.diff
Patch2:		ImageMagick-6.7.4-force-so.patch
Patch7:		imagemagick-urw.diff
Patch17:	imagemagick-fpx.diff
Patch19:	ImageMagick-libpath.diff
Patch20:	ImageMagick-6.7.7-9-fix-montageimages-test.patch
Patch21:	imagemagick-CVE-2014-8716.patch

# from http://anonscm.debian.org/cgit/collab-maint/imagemagick.git/log/?h=debian-patches/6.8.9.9-4-for-upstream
Patch101:	0001-Avoid-an-infinite-loop.patch
Patch102:	0002-Quit-earlier-in-case-of-corrupted-pnm-image.patch
Patch103:	0003-Added-missing-calls-to-RelinquishUniqueFileResource.patch
Patch104:	0004-Fix-a-double-free-in-pdb-coder.patch
Patch105:	0005-Fix-handling-of-corrupted-dpc-and-xwd-image.patch
Patch106:	0006-Bail-out-early-in-case-of-malformed-dpx-file.patch
Patch107:	0007-Avoid-SEGV-in-malformed-xwd-file.patch
Patch108:	0008-Avoid-a-NULL-dereference-in-ps-handling.patch
Patch109:	0009-Avoid-out-of-bound-access-in-xwd-file-handling.patch
Patch110:	0010-Fix-a-SEGV-with-corrupted-viff-image.patch
Patch111:	0011-Fix-a-null-pointer-dereference-in-wpg-file-handling.patch
Patch112:	0012-Do-not-continue-on-corrupted-wpg-file.patch
Patch113:	0013-Avoid-a-out-of-bound-acess-in-viff-image.patch
Patch114:	0014-Avoid-a-heap-buffer-overflow-in-pdb-file-handling.patch
Patch115:	0015-Avoid-an-out-of-bound-acess-on-malformed-sun-file.patch
Patch116:	0016-Avoid-heap-overflow-in-palm-pnm-and-xpm-files.patch
Patch117:	0017-Fix-heap-overflow-in-quantum.c-palm-image-handling-a.patch
Patch118:	0018-Fix-compile-problem-due-to-previous-patch.patch
Patch119:	0019-Do-not-try-to-read-corrupted-sun-image.patch
Patch120:	0020-Fix-handling-of-corrupted-of-psd-sun-and-xpm-file.patch
Patch121:	0021-Fix-corrupted-too-many-colors-psd-file.patch
Patch122:	0022-Fix-out-of-bound-access-in-sun-image-handling.patch
Patch123:	0023-Fix-ImageMagick-crashes-while-read-EXIF-from-TIFF.patch
Patch124:	0024-Fix-handling-of-corrupted-sun-and-wpg-file.patch
Patch125:	0025-Fix-heap-overflow-in-pcx-file-psd-pict-and-wpf-files.patch
Patch126:	0026-Fix-compile-error-in-previous-fix-of-sun-file.patch
Patch127:	0027-Additional-PNM-sanity-checks.patch
Patch128:	0028-Robustify-xmp-and-pnm-reader.patch
Patch129:	0029-Detect-allocation-error-earlier.patch
Patch130:	0030-Avoid-a-crash-in-coders-rle.c.patch
Patch131:	0031-Avoid-an-overflow-in-ConstrainColormapIndex.patch
Patch132:	0032-Avoid-an-out-of-bound-access-in-palm-file.patch
Patch133:	0033-Fix-another-crash-in-pnm-and-xpm-parser.patch
Patch134:	0034-Fixed-throwing-of-exceptions-in-psd-handling-and-fix.patch
Patch135:	0035-Fixed-boundary-checks-in-DecodePSDPixels.patch
Patch136:	0036-Fix-another-out-of-bound-problem-in-rle-file.patch
Patch137:	0037-Fix-crash-due-to-corrupted-dib-file.patch
Patch138:	0038-Added-checks-to-prevent-overflow-in-rle-file.patch
Patch139:	0039-Impose-a-limit-of-10-million-columns-or-rows-in-an-i.patch
Patch140:	0040-Avoid-heap-overflow-in-rle-file.patch
Patch141:	0041-Don-t-try-to-handle-a-previous-image-in-the-JNG-deco.patch
Patch142:	0042-Avoid-a-memory-leak-in-quantum-management.patch
Patch143:	0043-Avoid-a-crash-in-png-coder.patch
Patch144:	0044-Avoid-heap-overflow.patch
Patch145:	0045-Thread-limit-should-be-at-least-1.patch
Patch146:	0046-Fixed-parsing-resource-block.patch
Patch147:	0047-Fixed-usage-of-object-after-it-has-been-destroyed-an.patch
Patch148:	0048-Create-IsValidColormapIndex-function.patch
Patch149:	0049-Replaced-calls-to-ConstrainColormapIndex-with-IsVali.patch
Patch150:	0050-During-identification-of-image-do-not-fill-memory.patch
Patch151:	0051-Fix-correctly-the-xpm-crash-problem.patch

# http://anonscm.debian.org/cgit/collab-maint/imagemagick.git/log/?h=debian-patches/6.7.7.10-5%2bdeb7u4
Patch152:	0052-Fix-a-miff-security-bug.patch
Patch153:	0053-Fix-a-DOS-in-viccar-file-handling.patch
Patch154:	0054-Fix-a-DOS-in-HDR-file.patch
Patch155:	0055-Fix-a-DOS-in-PDB-file-handling.patch
Patch156:	0056-Fix-buffer-overflow-in-icon-parsing-code.patch
Patch157:	0057-Fix-overflow-in-pict-image-parsing.patch
# https://github.com/ImageMagick/ImageMagick/commit/4f68e9661518463fca523c9726bb5d940a2aa6d8.patch
Patch158:	0058-Fix-overflow-in-tga-image-parsing.patch

Requires:	%{libname} = %{version}
Provides:	ImageMagick = %{version}-%{release}

BuildRequires:  libx11-devel
BuildRequires:  libxext-devel
BuildRequires:  bzip2-devel
BuildRequires:  cairo-devel
BuildRequires:  fontconfig-devel
BuildRequires:  freetype2-devel >= 2.1.7
BuildRequires:  chrpath
BuildRequires:  graphviz-devel >= 2.9.0
BuildRequires:  openjpeg2-devel
BuildRequires:  libjbig-devel
BuildRequires:  libjpeg-devel
BuildRequires:  libpng-devel
BuildRequires:  zlib-devel
BuildRequires:  lcms-devel
BuildRequires:	lcms2-devel
BuildRequires:	fftw-devel
BuildRequires:  lqr-devel
BuildRequires:  libltdl-devel
BuildRequires:  perl-devel
BuildRequires:  librsvg-devel
BuildRequires:  tiff-devel
BuildRequires:  libwmf-devel
BuildRequires:  libxml2-devel
BuildRequires:  lzma-devel
BuildRequires:	pkgconfig(libwebp)
BuildRequires:	pkgconfig(OpenEXR) >= 1.0.6
%if !%bootstrap
BuildRequires:  djvulibre-devel
%endif
BuildRequires:  ghostscript
BuildRequires:  subversion
#$            BuildConflicts: %{develname}

%description
ImageMagick is a powerful image display, conversion and manipulation tool. It
runs in an X session. With this tool, you can view, edit and display a variety
of image formats.

ImageMagick can make use of the following delegate programs, available as
packages in %{_vendor}: curl enscript ffmpeg ghostscript ghostscript-X gimp
gnuplot graphviz html2ps mplayer ncompress netpbm sane-backends texlive-texmf
transfig ufraw xdg-utils zip autotrace povray

%package 	desktop
Summary:	ImageMagick menus
Group:		Graphics/Editors and Converters
Requires:	xterm
Obsoletes:	ImageMagick-desktop < 6.3.2.9-6

%description	desktop
This package contains the menu and .desktop entries to run the "display"
command from the menu.

%package -n	%{libname}
Summary:	ImageMagick libraries
Group:		System/Libraries
Provides:	%{_lib}magick = %{version}
# (Anssi 02/2008): Wrongly named at first, can be removed when major changes again:
Obsoletes:	%{_lib}magick%{major}.0.0 < %{version}-%{release}

%description -n	%{libname}
This package contains the libraries needed to run programs dynamically linked
with ImageMagick libraries.

%package -n	%{libcpp}
Summary:	ImageMagick libraries
Group:		System/Libraries

%description -n %{libcpp}
This package contains the libraries needed to run programs dynamically linked
with ImageMagick libraries.

%package -n	%{develname}
Summary:	Static libraries and header files for ImageMagick app development
Group:		Development/C
Requires:	%{libname} = %{version}
Requires:	%{libcpp} = %{version}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	ImageMagick-devel = %{version}-%{release}
Provides:	libmagick-devel = %{version}-%{release}
Provides:	libMagick-devel = %{version}-%{release}
Obsoletes:	ImageMagick-devel
Provides:	libMagick5-devel = %{version}-%{release}
Obsoletes:	libMagick5-devel
Conflicts:	%{name} < 6.7.5.0-2
# 2006
Obsoletes:	%{mklibname Magick 8.3.2 -d}
# 2007.0
Obsoletes:	%{mklibname magick 10.4.0 -d} %{mklibname Magick 10.4.0 -d}
# 2007.1/2008.0
Obsoletes:	%{mklibname magick 10.7.0 -d} %{mklibname Magick 10.7.0 -d}
# pre 2008.1
Obsoletes:	%{mklibname magick 10.9.0 -d} %{mklibname Magick 10.9.0 -d}

%description -n	%{develname}
If you want to create applications that will use ImageMagick code or APIs,
you'll need to install these packages as well as ImageMagick. These additional
packages aren't necessary if you simply want to use ImageMagick, however.

ImageMagick-devel is an addition to ImageMagick which includes static libraries
and header files necessary to develop applications.

%package -n	perl-Image-Magick
Summary:	Libraries and modules for access to ImageMagick from perl
Group:		Development/Perl
Requires:	%{name} = %{version}
Provides:	perl-Magick = %{version}-%{release}
Obsoletes:	perl-Magick

%description -n	perl-Image-Magick
This is the ImageMagick perl support package. It includes perl modules and
support files for access to ImageMagick library from perl.

%package	doc
Summary:	%{name} Documentation
Group:		Documentation
Obsoletes:	ImageMagick-doc < 6.3.2.9-6
BuildArch:	noarch

%description	doc
This package contains HTML/PDF documentation of %{name}.

%prep

%setup -q -n ImageMagick-%{rversion}-%{minor_rev}
%apply_patches

bzcat %{SOURCE1} > ImageMagick.pdf
install -m 644 %{SOURCE10} %{SOURCE11} %{SOURCE12} %{SOURCE13} .
autoreconf -fi

%build
#gw the format-string patch is incomplete:
%define Werror_cflags %nil
%define _disable_ld_no_undefined 1
export CFLAGS="%{optflags} -fno-strict-aliasing -fPIC"
export CXXFLAGS="%{optflags} -fno-strict-aliasing -fPIC"

# don't use icecream
export PATH=/bin:/usr/bin

%configure2_5x \
    --docdir=%{_defaultdocdir}/imagemagick \
    --with-gcc-arch=%{build_arch} \
    --with-pic \
    --enable-shared --disable-static \
    --enable-fast-install \
    --with-threads \
    --with-magick_plus_plus \
    --with-gslib \
    --with-wmf \
    --with-lcms \
    --with-rsvg \
    --with-xml \
    --without-dps \
    --without-windows-font-dir \
    --with-modules \
    --with-perl \
    --with-perl-options="INSTALLDIRS=vendor CC='%{__cc} -L$PWD/magick/.libs' LDDLFLAGS='-shared -L$PWD/magick/.libs'" \
    --with-openjp2 \
    --with-gvc \
    --with-lqr

# Disable rpath
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

%make

%if %{build_test}
%check
# these tests require X
if [ -f PerlMagick/t/x11/read.t ]; then
	mv PerlMagick/t/x11/read.t PerlMagick/t/x11/read.t.disabled
fi
if [ -f PerlMagick/t/x11/write.t ]; then
	mv PerlMagick/t/x11/write.t PerlMagick/t/x11/write.t.disabled
fi
#dlname=`grep "^dlname" Magick++/lib/.libs/libMagick++.la | cut -d\' -f2`
#LD_PRELOAD="$PWD/Magick++/lib/.libs/$dlname" VERBOSE="1" make check
make check
%endif

%install
# (Abel) set LD_RUN_PATH to null, to avoid adding rpath to perlmagick module
%makeinstall_std LD_RUN_PATH="" pkgdocdir=/installed_docs

# fix docs inclusion (fix an unknown new rpm bug)
rm -rf installed_docs; mv %{buildroot}/installed_docs .

# Remove unpackaged files
find %{buildroot} -name '*.la' -delete

# create compatible symlinks
ln -s libMagick++-6.%{qlev}.so %{buildroot}%{_libdir}/libMagick++.so
ln -s libMagickCore-6.%{qlev}.so %{buildroot}%{_libdir}/libMagickCore.so
ln -s libMagickWand-6.%{qlev}.so %{buildroot}%{_libdir}/libMagickWand.so

%multiarch_binaries %{buildroot}%{_bindir}/Magick-config
%multiarch_binaries %{buildroot}%{_bindir}/Magick++-config
%multiarch_binaries %{buildroot}%{_bindir}/MagickCore-config
%multiarch_binaries %{buildroot}%{_bindir}/MagickWand-config
%multiarch_binaries %{buildroot}%{_bindir}/Wand-config
%multiarch_includes %{buildroot}%{_includedir}/ImageMagick-6/magick/magick-baseconfig.h

# fix invalid rights
chmod 755 %{buildroot}%{perl_vendorarch}/auto/Image/Magick/Magick.so \
	%{buildroot}%{perl_vendorarch}/auto/Image/Magick/Q16/Q16.so

# nuke rpath
chrpath -d %{buildroot}%{perl_vendorarch}/auto/Image/Magick/Magick.so

# icons
install -m 755 -d %{buildroot}%{_liconsdir} \
	   %{buildroot}%{_iconsdir} \
	   %{buildroot}%{_iconsdir}/hicolor/64x64/apps \
           %{buildroot}%{_miconsdir}
install -m 644 magick-icon_16x16.png %{buildroot}%{_miconsdir}/%{name}.png
install -m 644 magick-icon_32x32.png %{buildroot}%{_iconsdir}/%{name}.png
install -m 644 magick-icon_48x48.png %{buildroot}%{_liconsdir}/%{name}.png
install -m 644 magick-icon_64x64.png %{buildroot}%{_iconsdir}/hicolor/64x64/apps/%{name}.png


install -m 755 -d %{buildroot}%{_datadir}/applications/
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=ImageMagick
Comment=Views Graphics files
Exec=%{_bindir}/xterm -geometry 40x15 -title ImageMagick +sb -iconic -e %{_bindir}/display
Icon=%{name}
Terminal=false
Type=Application
Categories=Graphics;Viewer;
EOF

%files
%doc README.txt
%{_sysconfdir}/ImageMagick-6
%{_bindir}/animate
%{_bindir}/compare
%{_bindir}/composite
%{_bindir}/convert
%{_bindir}/conjure
%{_bindir}/display
%{_bindir}/identify
%{_bindir}/import
%{_bindir}/mogrify
%{_bindir}/montage
%{_bindir}/stream
%{_libdir}/ImageMagick-%{rversion}
%{_datadir}/ImageMagick-6
%{_mandir}/man1/*
%exclude %{_mandir}/man1/*-config.*

%files desktop
%{_datadir}/applications/*
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_iconsdir}/hicolor/64x64/apps/%{name}.png

%files -n %{libname}
%{_libdir}/libMagickCore-6.%{qlev}.so.%{major}*
%{_libdir}/libMagickWand-6.%{qlev}.so.%{major}*

%files -n %{libcpp}
%{_libdir}/libMagick++-6.%{qlev}.so.%{cppmajor}*

%files -n %{develname}
%{_includedir}/ImageMagick-6
%multiarch %{multiarch_bindir}/Magick-config
%multiarch %{multiarch_bindir}/Magick++-config
%multiarch %{multiarch_bindir}/MagickCore-config
%multiarch %{multiarch_bindir}/MagickWand-config
%multiarch %{multiarch_bindir}/Wand-config
%multiarch %dir %{multiarch_includedir}/ImageMagick-6
%multiarch %dir %{multiarch_includedir}/ImageMagick-6/magick
%multiarch %{multiarch_includedir}/ImageMagick-6/magick/magick-baseconfig.h
%{_bindir}/Magick-config
%{_bindir}/Magick++-config
%{_bindir}/MagickCore-config
%{_bindir}/MagickWand-config
%{_bindir}/Wand-config
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_mandir}/man1/*-config.*

%files -n perl-Image-Magick
%{perl_vendorarch}/Image
%{perl_vendorarch}/auto/Image
%{_mandir}/man3*/*::*.3pm*

%files doc
%doc ImageMagick.pdf ChangeLog LICENSE NEWS* NOTICE
%doc QuickStart.txt installed_docs/*


%changelog
* Wed Dec 09 2015 luigiwalser <luigiwalser> 6.8.9.9-4.2.mga5
+ Revision: 909141
- add patches from debian and upstream to fix various security issues (mga#17318)

  + shlomif <shlomif>
    - Fix JPEG2000 support (MGA#16585)

* Fri Jan 02 2015 luigiwalser <luigiwalser> 6.8.9.9-4.mga5
+ Revision: 808196
- add another fix from debian (fix regression in xpm crash fix)

* Wed Dec 24 2014 luigiwalser <luigiwalser> 6.8.9.9-3.mga5
+ Revision: 805440
- add upstream patches via debian to fix various security issues
- remove obsolete patch that was not being applied anymore
- adjust patch level of existing patches to use apply_patches macro

* Fri Nov 14 2014 luigiwalser <luigiwalser> 6.8.9.9-2.mga5
+ Revision: 796909
- add upstream patch to fix CVE-2014-8716

* Wed Oct 29 2014 luigiwalser <luigiwalser> 6.8.9.9-1.mga5
+ Revision: 794447
- 6.8.9-9

* Wed Oct 15 2014 umeabot <umeabot> 6.8.9.7-7.mga5
+ Revision: 745726
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 6.8.9.7-6.mga5
+ Revision: 726487
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 6.8.9.7-5.mga5
+ Revision: 680485
- Mageia 5 Mass Rebuild

* Mon Aug 25 2014 fwang <fwang> 6.8.9.7-4.mga5
+ Revision: 667291
- br openexr

* Mon Aug 25 2014 fwang <fwang> 6.8.9.7-3.mga5
+ Revision: 667287
- force x86-64

* Mon Aug 25 2014 fwang <fwang> 6.8.9.7-2.mga5
+ Revision: 667270
- hardcode gcc build arch

* Sun Aug 17 2014 fwang <fwang> 6.8.9.7-1.mga5
+ Revision: 664889
- update libmajor
- 6.8.9-7

* Tue Jun 03 2014 pterjan <pterjan> 6.8.9.1-2.mga5
+ Revision: 630780
- Rebuild for perl 5.20

* Fri May 30 2014 fwang <fwang> 6.8.9.1-1.mga5
+ Revision: 627844
- 6.8.9-1

* Wed Apr 23 2014 fwang <fwang> 6.8.9.0-1.mga5
+ Revision: 617494
- 6.8.9-0

* Tue Apr 01 2014 fwang <fwang> 6.8.8.10-1.mga5
+ Revision: 611081
- 6.8.8-10

* Sat Mar 15 2014 fwang <fwang> 6.8.8.8-1.mga5
+ Revision: 603944
- 6.8.8-8

* Sat Feb 15 2014 luigiwalser <luigiwalser> 6.8.8.6-2.mga5
+ Revision: 592106
- rebuild for libwebp

* Fri Feb 14 2014 fwang <fwang> 6.8.8.6-1.mga5
+ Revision: 591061
- 6.8.8-6

* Mon Feb 10 2014 fwang <fwang> 6.8.8.5-1.mga5
+ Revision: 587856
- 6.8.8-5

* Wed Feb 05 2014 fwang <fwang> 6.8.8.4-1.mga5
+ Revision: 583111
- update lib major
- new version 6.8.8-4

* Mon Oct 21 2013 umeabot <umeabot> 6.8.7.0-2.mga4
+ Revision: 537701
- Mageia 4 Mass Rebuild

* Fri Sep 27 2013 fwang <fwang> 6.8.7.0-1.mga4
+ Revision: 487526
- new version 6.8.7-0

* Thu Sep 19 2013 fwang <fwang> 6.8.6.10-1.mga4
+ Revision: 481463
- update cpp major
- new version 6.8.6-10

* Sun Sep 01 2013 fwang <fwang> 6.8.6.9-1.mga4
+ Revision: 473794
- new version 6.8.6-9

* Wed Aug 07 2013 fwang <fwang> 6.8.6.8-1.mga4
+ Revision: 464393
- split cpp lib
- new version 6.8.6-8

* Sat Jun 08 2013 fwang <fwang> 6.8.5.10-1.mga4
+ Revision: 440491
- new version 6.8.5-10

* Sun Jun 02 2013 fwang <fwang> 6.8.5.8-3.mga4
+ Revision: 434651
- rebuild for new libpng

* Wed May 29 2013 tv <tv> 6.8.5.8-2.mga4
+ Revision: 430134
- rebuild for new perl

* Tue May 28 2013 fwang <fwang> 6.8.5.8-1.mga4
+ Revision: 429127
- new version 6.8.5.8

* Tue May 28 2013 fwang <fwang> 6.8.5.7-2.mga4
+ Revision: 429126
- fix wrong link

* Tue May 28 2013 fwang <fwang> 6.8.5.7-1.mga4
+ Revision: 429121
- update libname
- update file list
- update file list
- disable undefined

  + spuhler <spuhler>
    - upgrade to 6.8.5-7
    - rediffed against 6.8.5-7

* Sat Jan 12 2013 umeabot <umeabot> 6.8.1.1-2.mga3
+ Revision: 354290
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + boklm <boklm>
    - Update group: Graphics/Editors -> Graphics/Editors and Converters

* Sat Dec 22 2012 fwang <fwang> 6.8.1.1-1.mga3
+ Revision: 333783
- new version 6.8.1-1

* Sat Dec 15 2012 fwang <fwang> 6.8.0.10-1.mga3
+ Revision: 331107
- new version 6.8.0-10

* Fri Dec 14 2012 fwang <fwang> 6.8.0.9-2.mga3
+ Revision: 330735
- create compatible symlinks

* Fri Dec 14 2012 fwang <fwang> 6.8.0.9-1.mga3
+ Revision: 330723
- update file list
- bump libmajor
- new version 6.8.0-9

* Fri Oct 12 2012 fwang <fwang> 6.8.0.0-1.mga3
+ Revision: 305058
- br webp
- bump libmajor
- new verrsion 6.8.0.0

* Sun Oct 07 2012 fwang <fwang> 6.7.9.10-1.mga3
+ Revision: 303128
- update rpm group
- new version 6.7.9-10

* Sat Sep 29 2012 fwang <fwang> 6.7.9.8-1.mga3
+ Revision: 299623
- update group
- new version 6.7.9-8

* Sun Sep 23 2012 fwang <fwang> 6.7.9.7-1.mga3
+ Revision: 296869
- new version 6.7.9-7

* Mon Sep 17 2012 fwang <fwang> 6.7.9.6-1.mga3
+ Revision: 294771
- new version 6.7.9-6

* Fri Sep 14 2012 fwang <fwang> 6.7.9.5-1.mga3
+ Revision: 293741
- new version 6.7.9-5

* Sat Sep 01 2012 fwang <fwang> 6.7.9.3-1.mga3
+ Revision: 286870
- new version 6.7.9-3

* Mon Aug 27 2012 fwang <fwang> 6.7.9.2-1.mga3
+ Revision: 284616
- new version 6.7.9-2
- new version 6.7.9-2

* Fri Aug 17 2012 fwang <fwang> 6.7.9.0-1.mga3
+ Revision: 281734
- new version 6.7.9-0

* Wed Aug 01 2012 fwang <fwang> 6.7.8.7-1.mga3
+ Revision: 277150
- new version 6.7.8-7

* Tue Jul 24 2012 fwang <fwang> 6.7.8.6-1.mga3
+ Revision: 273919
- new version 6.7.8-6

* Thu Jul 19 2012 fwang <fwang> 6.7.8.4-1.mga3
+ Revision: 272537
- new version 6.7.8-4

* Thu Jul 05 2012 fwang <fwang> 6.7.8.1-1.mga3
+ Revision: 267830
- new version 6.7.8-1

* Sat Jun 30 2012 fwang <fwang> 6.7.8.0-1.mga3
+ Revision: 265236
- new version 6.8.8-0

* Fri Jun 29 2012 fwang <fwang> 6.7.7.10-1.mga3
+ Revision: 264853
- new version 6.7.7-10

* Tue Jun 26 2012 fwang <fwang> 6.7.7.9-2.mga3
+ Revision: 263802
- add more br

* Tue Jun 26 2012 fwang <fwang> 6.7.7.9-1.mga3
+ Revision: 263796
- new version 6.7.7-9

* Sat Jun 02 2012 fwang <fwang> 6.7.7.5-1.mga3
+ Revision: 253233
- new version 6.7.7-5

* Thu May 31 2012 fwang <fwang> 6.7.7.4-1.mga3
+ Revision: 251928
- new version 6.7.7-4

* Thu May 31 2012 blino <blino> 6.7.7.2-3.mga3
+ Revision: 251919
- simplify using autoreconf
- copy missing automake files
- buildrequire subversion (for svnversion)

  + tv <tv>
    - rebuild for new perl

* Mon May 28 2012 fwang <fwang> 6.7.7.2-1.mga3
+ Revision: 247736
- real fix patches
- drop invalid patch
- update file list
- update file list
- update file list
- update file list
- drop merged patches
- new version 6.7.7-2

* Tue May 01 2012 luigiwalser <luigiwalser> 6.7.5.10-2.mga2
+ Revision: 234416
- fix CVE-2012-0259, CVE-2012-0260, CVE-2012-1798, CVE-2012-1610 (from debian)

* Tue Mar 06 2012 fwang <fwang> 6.7.5.10-1.mga2
+ Revision: 219461
- new version 6.7.5-10

* Sat Mar 03 2012 fwang <fwang> 6.7.5.8-1.mga2
+ Revision: 217114
- new version 6.7.5-8

* Sun Feb 26 2012 fwang <fwang> 6.7.5.7-1.mga2
+ Revision: 214996
- new version 6.7.5-7

  + obgr_seneca <obgr_seneca>
    - removed mentioning of tetex and replaced it by texlive

* Tue Feb 07 2012 fwang <fwang> 6.7.5.3-1.mga2
+ Revision: 205839
- new version 6.7.5-3

* Mon Feb 06 2012 fwang <fwang> 6.7.5.2-1.mga2
+ Revision: 205202
- new version 6.7.5-2
- move some manpages into correct package
- don't know how these requires come from

* Sun Jan 29 2012 fwang <fwang> 6.7.5.0-1.mga2
+ Revision: 202824
- new version 6.7.5.0
- force use so to load module

* Thu Jan 26 2012 fwang <fwang> 6.7.4.10-1.mga2
+ Revision: 201718
- new version 6.7.4-10

* Wed Jan 25 2012 fwang <fwang> 6.7.4.9-1.mga2
+ Revision: 200695
- new version 6.7.4-9

* Sun Jan 22 2012 fwang <fwang> 6.7.4.8-1.mga2
+ Revision: 199724
- new version 6.7.4-8

* Mon Jan 16 2012 fwang <fwang> 6.7.4.7-1.mga2
+ Revision: 196902
- new version 6.7.4-7

* Thu Jan 12 2012 fwang <fwang> 6.7.4.6-1.mga2
+ Revision: 195261
- new version 6.7.4.6

* Mon Jan 02 2012 fwang <fwang> 6.7.4.4-1.mga2
+ Revision: 189550
- new version 6.7.4-4

* Tue Dec 27 2011 fwang <fwang> 6.7.4.2-1.mga2
+ Revision: 188092
- new version 6.7.4-2

* Fri Dec 23 2011 fwang <fwang> 6.7.4.1-3.mga2
+ Revision: 186337
- rebuild for new libtiff

* Thu Dec 22 2011 fwang <fwang> 6.7.4.1-2.mga2
+ Revision: 186082
- rebuild for new libtiff

* Thu Dec 22 2011 fwang <fwang> 6.7.4.1-1.mga2
+ Revision: 185989
- build with modules as what fedora does
- new version 6.7.4-1

* Sun Dec 11 2011 fwang <fwang> 6.7.4.0-1.mga2
+ Revision: 180522
- new version 6.7.4-0

* Sun Dec 04 2011 fwang <fwang> 6.7.3.10-1.mga2
+ Revision: 175843
- new version 6.7.3-10

* Mon Nov 28 2011 fwang <fwang> 6.7.3.9-1.mga2
+ Revision: 173783
- new version 6.7.3-9

* Sun Nov 27 2011 fwang <fwang> 6.7.3.8-1.mga2
+ Revision: 173006
- new version 6.7.3-8

* Sun Nov 20 2011 fwang <fwang> 6.7.3.7-1.mga2
+ Revision: 169605
- new version 6.7.3-7

* Wed Nov 16 2011 fwang <fwang> 6.7.3.6-1.mga2
+ Revision: 168077
- update file list
- new version 6.7.3-6

* Fri Nov 11 2011 fwang <fwang> 6.7.3.5-1.mga2
+ Revision: 166825
- new version 6.7.3-5

* Sun Nov 06 2011 fwang <fwang> 6.7.3.4-1.mga2
+ Revision: 164123
- new version 6.7.3-4
- new version 6.7.3-3

* Sun Oct 23 2011 fwang <fwang> 6.7.3.2-1.mga2
+ Revision: 157475
- drop unused patch

* Thu Oct 20 2011 zezinho <zezinho> 6.7.3.1-1.mga2
+ Revision: 156885
- new version

* Wed Oct 12 2011 fwang <fwang> 6.7.3.0-1.mga2
+ Revision: 154005
- new version 6.7.3-0

* Mon Sep 26 2011 fwang <fwang> 6.7.2.9-1.mga2
+ Revision: 147983
- new version 6.7.2-9

* Sun Sep 25 2011 fwang <fwang> 6.7.2.8-1.mga2
+ Revision: 147713
- new version 6.7.2-8

* Sun Sep 18 2011 fwang <fwang> 6.7.2.7-1.mga2
+ Revision: 144787
- new version 6.7.2-7

* Thu Sep 15 2011 fwang <fwang> 6.7.2.6-1.mga2
+ Revision: 143816
- new version 6.7.2-6

* Mon Sep 12 2011 fwang <fwang> 6.7.2.5-1.mga2
+ Revision: 142739
- update libmajor
- new version 6.7.2-5

* Sat Sep 10 2011 fwang <fwang> 6.7.2.3-3.mga2
+ Revision: 142181
- rebuild for new libpng

* Wed Sep 07 2011 fwang <fwang> 6.7.2.3-2.mga2
+ Revision: 140897
- new version 6.7.2-3

* Fri Sep 02 2011 tv <tv> 6.7.2.1-2.mga2
+ Revision: 137819
- make the huge doc subpackage be noarch

* Wed Aug 31 2011 fwang <fwang> 6.7.2.1-1.mga2
+ Revision: 136860
- new version 6.7.2-1
- new version 6.7.2-0
- new version 6.7.1-10
- new version 6.7.1-9
- new version 6.7.1-8
- new version 6.7.1-7
- new version 6.7.1-6
- new version 6.7.1-5
- new version 6.7.1-4
- new version 6.7.1-3
- new version 6.7.1-1
- new version 6.7.1-0

* Sun Jul 10 2011 fwang <fwang> 6.7.1.0-1.mga2
+ Revision: 121583
- new version 6.7.1-0

* Tue Jul 05 2011 fwang <fwang> 6.7.0.10-2.mga2
+ Revision: 118645
- new version 6.7.0-10

* Tue Jun 28 2011 fwang <fwang> 6.7.0.9-2.mga2
+ Revision: 115130
- rebuild for new graphviz

* Mon Jun 27 2011 fwang <fwang> 6.7.0.9-1.mga2
+ Revision: 114294
- new version 6.7.0-9

* Thu Jun 16 2011 fwang <fwang> 6.7.0.8-1.mga2
+ Revision: 108150
- update docdirpatch
- New version 6.7.0-8
- revise br

* Sun Jun 12 2011 sander85 <sander85> 6.6.6.10-6.mga2
+ Revision: 104679
- Rebuild for perl 5.14

* Sat May 21 2011 ahmad <ahmad> 6.6.6.10-5.mga1
+ Revision: 99994
- Replace a reference to Mandriva with Mageia

* Sat May 14 2011 anssi <anssi> 6.6.6.10-4.mga1
+ Revision: 98658
- rebuild due to old references in .la files

* Tue Apr 26 2011 wally <wally> 6.6.6.10-3.mga1
+ Revision: 91746
- fix desktop file name (mga#954)

* Wed Jan 19 2011 jquelin <jquelin> 6.6.6.10-2.mga1
+ Revision: 23775
- rebuild

* Fri Jan 14 2011 mikala <mikala> 6.6.6.10-1.mga1
+ Revision: 17591
- Enable bootstrap

  + pterjan <pterjan>
    - Drop obsolete scriptlets
    - imported package imagemagick

